1. Comparables
Pulse API
  • Introduction
    • Introduction
    • Getting Started
    • Basic concepts
  • Services
    • Backoffice
      • Authentication
        • Generate Access Token
        • Generate Refresh Token
      • Authorization
        • Rotate Key (User)
        • Register Application
        • List (Application)
        • Rotate Key (Application)
        • Revoke Key (Application)
        • Activate Key (Application)
      • Usage
        • Check limits
        • Check usage
    • Domains
      • Valuation
        • Valuation
      • Indicators
        • Indicators
      • Cadastral
        • Cadastral by Reference
        • Advanced cadastral search
      • Comparables
        • Search comparables
          GET
        • Search comparables (Transactions)
          GET
      • Mortgage
        • Pre-approval
  1. Comparables

Search comparables (Transactions)

GET
/api/integration/v1/comparables/search/transactions

Request

Authorization
or
Query Params

Body Params application/json

Examples

Responses

🟢200
application/json
Successful Response
Bodyapplication/json

🟠422
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.urbandataanalytics.com/api/integration/v1/comparables/search/transactions?id_uda=undefined&is_active=undefined&comparison_type=undefined&operation_type_id=undefined&typology_type_id=undefined&property_type_id=undefined&build_status_id=undefined&dates_range=undefined&construction_year=undefined&area=undefined&source_id=undefined&id_admin5=undefined&price=undefined&include_duplicates=undefined&lat=undefined&lon=undefined&address=undefined&distance=undefined&sort_by=undefined&ascending=undefined&page_num=undefined&output=undefined&distribution_id=undefined&n_baths=undefined&n_rooms=undefined&garage=undefined&outside=undefined&has_elevator=undefined&has_terrace=undefined&has_pool=undefined&has_air_conditioner=undefined&has_smoke_outlet=undefined&has_heating=undefined&has_kitchen=undefined&has_storefront=undefined&has_storage=undefined&has_bathroom=undefined&has_facade=undefined&has_warehouse=undefined&has_security=undefined&is_exterior=undefined&has_loading_dock=undefined&has_automatic_door=undefined&flag_potencial_promotion=undefined&has_access_24h=undefined&floor=undefined&target_area=undefined&target_baths=undefined&target_rooms=undefined&target_property_type=undefined&target_build_status=undefined&target_floor=undefined&cadastral_ref=undefined&asset_id=undefined&target_has_elevator=undefined&target_has_storage=undefined&target_has_terrace=undefined&target_has_air_conditioner=undefined&target_has_garage=undefined&target_has_pool=undefined&target_is_exterior=undefined&similarity=undefined&gross_yield_asking_price=undefined&gross_yield_estimated_price=undefined&price_gap=undefined&closing_match_score=undefined' \
--header 'Content-Type: application/json' \
--data '0'
Response Response Example
200 - Example 1
{
    "query_params": {},
    "query_asset": {},
    "results": [
        {
            "id": "string",
            "title": "string",
            "is_active": 0,
            "action_id": 0,
            "action_name": "string",
            "usage_id": 0,
            "usage_name": "string",
            "comparison_type": 0,
            "operation_type_id": 0,
            "operation_type_name": "string",
            "property_type_id": 0,
            "property_type_name": "string",
            "subtypology_name": "string",
            "subtypology_type_id": 0,
            "typology_type_id": 0,
            "typology_type_name": "string",
            "construction_type_id": {},
            "construction_type_name": {},
            "build_status_id": 0,
            "build_status_name": "string",
            "last_price": 0,
            "last_pm2": 0,
            "address": "string",
            "location": {
                "coordinates": [
                    0
                ],
                "type": "string"
            },
            "lat": 0,
            "lon": 0,
            "distance": 0,
            "is_input": 0,
            "similarity": 0,
            "score": {},
            "date_in": "2019-08-24",
            "date_out": "2019-08-24",
            "first_date_origin": "2019-08-24",
            "updated_at": "2019-08-24",
            "date_diff": 0,
            "has_air_conditioner": 0,
            "has_common_areas": 0,
            "has_elevator": 0,
            "has_garage": 0,
            "has_garage_in_price": 0,
            "has_gym": 0,
            "has_pool": 0,
            "has_racket_court": 0,
            "has_security": 0,
            "has_storage": 0,
            "has_terrace": 0,
            "furnished": 0,
            "is_exterior": 0,
            "is_agency": 0,
            "is_bank": 0,
            "is_coop": 0,
            "is_short_rent": true,
            "is_vpo": 0,
            "is_comparable": 0,
            "cat_area": 0,
            "category_id": 0,
            "n_rooms": 0,
            "n_baths": 0,
            "area": 0,
            "construction_year": 0,
            "floor": 0,
            "is_accurate_address": 0,
            "admin0": "string",
            "admin1": "string",
            "admin2": "string",
            "admin3": "string",
            "admin4": "string",
            "admin5": "string",
            "admin6": "string",
            "id_admin0": 0,
            "id_admin1": 0,
            "id_admin2": 0,
            "id_admin3": 0,
            "id_admin4": 0,
            "id_admin5": 0,
            "id_admin6": 0,
            "postal_code": "string",
            "geohash7": "string",
            "first_price": 0,
            "first_pm2": 0,
            "last_price_pm2_with_correction": 0,
            "last_price_with_correction": 0,
            "contact_url": "http://example.com",
            "retail_listing": "string",
            "vendor_asset_id": "string",
            "vendor_type": 0,
            "url": "http://example.com"
        }
    ],
    "message": "string",
    "pagination": {
        "num_results": 0,
        "page_current": 0,
        "total_count": 0,
        "page_count": 0
    },
    "code": 0
}
Modified at 2026-07-02 18:30:15
Previous
Search comparables
Next
Pre-approval
Built with